{
	"format_version": "1.10.0",
	"particle_effect": {
		"description": {
			"identifier": "nicothekid:nether_wisp_soul_particle",
			"basic_render_parameters": {
				"material": "particles_alpha",
				"texture": "textures/particles/nicos_mobs/nicothekid_nether_wisp_soul_particle"
			}
		},
		"components": {
			"minecraft:emitter_rate_steady": {
				"spawn_rate": 30,
				"max_particles": 100
			},
			"minecraft:emitter_lifetime_looping": {
				"active_time": 1
			},
			"minecraft:emitter_shape_point": {
				"offset": ["Math.random(-0.2, 0.2)", "Math.random(0.7, 0.9)", "Math.random(-0.2, 0.2)"],
				"direction": ["Math.random(-0.2, 0.2)", "Math.random(-0.1, 2.0)", "Math.random(-0.2, 0.2)"]
			},
			"minecraft:particle_lifetime_expression": {
				"max_lifetime": "Math.random(1, 4)"
			},
			"minecraft:particle_expire_if_not_in_blocks": ["minecraft:air", "minecraft:fire", "minecraft:flowing_lava", "minecraft:lava", "minecraft:soul_fire"],
			"minecraft:particle_initial_speed": "Math.random(0.5, 2.0)",
			"minecraft:particle_motion_dynamic": {
				"linear_acceleration": [0, 0.4, 0],
				"linear_drag_coefficient": 2
			},
			"minecraft:particle_appearance_billboard": {
				"size": ["Math.random(0.05, 0.1)", "Math.random(0.05, 0.1)"],
				"facing_camera_mode": "lookat_xyz",
				"uv": {
					"texture_width": 8,
					"texture_height": 64,
					"flipbook": {
						"base_UV": [0, 0],
						"size_UV": [8, 8],
						"step_UV": [0, 8],
						"frames_per_second": 6,
						"max_frame": 8,
						"stretch_to_lifetime": true
					}
				}
			}
		}
	}
}